GET
/peerings
http://networkmanager.{region}.amazonaws.com/peeringsLists the peerings for a core network.
Access Token Required: API Key
Query Params
coreNetworkIdstring
The ID of a core network.
peeringTypestring
Returns a list of a peering requests.
Allowed:
edgeLocationstring
Returns a list edge locations for the
statestring
Returns a list of the peering request states.
Allowed:
maxResultsinteger
The maximum number of results to return.
nextTokenstring
The token for the next page of results.
MaxResultsstring
Pagination limit
NextTokenstring
Pagination token
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request GET \2 --url 'http://networkmanager.{region}.amazonaws.com/peerings' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}